Download it now!
Bug 125121 - Line animation hides background objects
Summary: Line animation hides background objects
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-05-04 19:08 UTC by Michael Zapf
Modified: 2019-05-09 13:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zapf 2019-05-04 19:08:59 UTC
Description:
During wipe animation, a slanted line hides objects behind it with a white area. In detail, it looks as if the animation "wipes away" the background object until the animation is over, the background object reappears. 

Steps to Reproduce:
1. Open a new slide.
2. Draw a rectangle. 
3. Draw a diagonal line going through the lower left and the upper right corner of that rectangle.
4. Assign a "wipe" animation to the line (from left).
5. Start full screen presentation and watch the animation.

Actual Results:
During the animation, the background object is partially or fully obscured until the animation completes, even in parts that are not visible parts of the animated object. It looks as if the rectangle is wiped away by the line.

Expected Results:
During the animation, the background objects should remain fully visible, except for the parts that are visibly obscured by the animated foreground object.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version 6.2.3.2
Build ID: 20(Build:2)
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL:kde5; Locale: en_US (en_US) [but happens with de_DE as well]; UI language: en_US; Calc: threaded
Comment 1 Usama 2019-05-05 07:09:01 UTC
Hello Mıchael,
Thank you for reporting this I've tested it in the daily build but couldn't reproduce it. Would it be possible for you to provide an example file?

You can also give us a hand and test your self using the latest daily build from here:
https://libreoffice.soluzioniopen.com/index.php/daily-version/


I'm setting this bug report to NEEDINFO, please set it back to UNCONFIRMED after providing the requested information.

Thank you

Tested on:
Version: 6.3.0.0.alpha0+
Build ID: 98630a0bd49bd80652145a21e4e0d0ded792b36b
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-04_04:44:35
Locale: tr-TR (tr_TR.UTF-8); UI-Language: en-US
Calc: threaded

and 

Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial6
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: tr-TR (tr_TR.UTF-8); Calc: group
Comment 2 Michael Zapf 2019-05-05 13:01:19 UTC
I'm adding two screen recordings for illustration. The first one is recorded from LibreOffice 6.2.0 in openSUSE Tumbleweed (LibreOffice being locked to 6.2.0).

http://www.mizapf.eu/files/anim620_1.mp4

The second one is recorded from LibreOffice 6.2.3.2 as distributed in Tumbleweed. That is, I just unlocked the files and did an update, and then I did the same actions again. The operating system itself received no updates.

http://www.mizapf.eu/files/anim623_1.mp4

Until this is fixed, I have to lock LibreOffice to the 6.2.0 state, since I need the presentations every day. For me this is indeed a showstopper issue.
Comment 3 Xisco Faulí 2019-05-06 11:49:54 UTC
I can't reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: ddea172792d13516ff7e0dd43f1f78b74ade8914
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

nor in

Versión: 6.2.3.2
Id. de compilación: aecc05fe267cc68dde00352a451aa867b3b546ac
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

@Michael, do you reproduce it calling LibreOffice from terminal like SAL_USE_VCLPLUGIN=gtk3 soffice ?
Comment 4 Buovjaga 2019-05-06 12:29:06 UTC
I can reproduce it with kde5 and 6.2.3, but not with kde5 and master, so closing.

Arch Linux 64-bit
Version: 6.2.3.2
Build ID: 6.2.3-2
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 6323d7bc822fb8314aa0b9f6c570ab9b12e43517
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 6 May 2019
Comment 5 Xisco Faulí 2019-05-06 15:02:47 UTC
Can anyone check in LibreOffice 6.2.4 ? Maybe the fix was backported...
Comment 6 Katarina Behrens (Inactive) 2019-05-09 13:01:00 UTC
Maybe it was one of my headless/cairo fixes i.e. either bug 120797 or bug 120585, the symptoms would match i.e. the object is transformed in the buffer but this transformation is not reflected on the screen